<?php
/**
 * The template for displaying content.
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
global $post;
// print_r($post->ID);
$post_format = get_post_format();
$whitish_lite_settings = whitish_lite_get_theme_options(); ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class();?>>
			<?php whitish_lite_blog_post_format($post_format, $post->ID); ?>
			<header class="entry-header">
			<?php $entry_format_meta_blog = $whitish_lite_settings['whitish_lite_entry_meta_blog']; ?>

				<h2 class="entry-title"> <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"> <?php the_title();?> </a> </h2> <!-- end.entry-title -->
				<?php if($entry_format_meta_blog == 'show-meta'){ ?>
					<div class="entry-meta">
						<span class="posted-on"><a title="<?php echo esc_attr( get_the_time() ); ?>" href="<?php the_permalink(); ?>">
						<?php the_time( get_option( 'date_format' ) ); ?> </a></span>
						<span class="author vcard"><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>" title="<?php the_author(); ?>">
							<?php the_author(); ?> </a></span>
					</div><!-- end .entry-meta -->
					<div class="entry-meta">
						<span class="cat-links">
							<?php the_category(', '); ?>
						</span> <!-- end .cat-links -->
					</div><!-- end .entry-meta -->
				<?php } ?>
			</header><!-- end .entry-header -->
			<div class="entry-content">
				<?php the_excerpt(); ?>
			</div> <!-- end .entry-content -->
			<?php
			$excerpt = get_the_excerpt();
			$content = get_the_content();
			 ?>
				<footer class="entry-footer">
					<?php
					$whitish_lite_tag_text = $whitish_lite_settings['whitish_lite_tag_text'];
					if(strlen($excerpt) < strlen($content)){ ?>
					<a class="more-link" title="<?php the_title_attribute('echo=0');?>" href="<?php the_permalink();?>">
					<?php
						if($whitish_lite_tag_text == 'Read More' || $whitish_lite_tag_text == ''):
							esc_html_e('Read More', 'whitish-lite');
						else:
							echo esc_html($whitish_lite_tag_text);
						endif;?>
					</a>
					<?php } ?>
					<div class="entry-meta">
						<?php if ( comments_open() ) { ?>
						<span class="comments">
						<?php comments_popup_link( __( 'No Comments', 'whitish-lite' ), __( '1 Comment', 'whitish-lite' ), __( '% Comments', 'whitish-lite' ), '', __( 'Comments Off', 'whitish-lite' ) ); ?> </span>
						<?php } ?>
					</div> <!-- end .entry-meta -->
				</footer> <!-- end .entry-footer -->
		</article><!-- end .post -->