<?php
/**
 * Theme Customizer Functions
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
$whitish_lite_settings = whitish_lite_get_theme_options();
/******************** Whitish Lite SOCIAL ICONS ******************************************/
$wp_customize->add_section( 'whitish_lite_social_icons', array(
	'title' => __('Social Icons','whitish-lite'),
	'priority' => 400,
	'panel' =>'whitish_lite_options_panel'
));
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_facebook]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_facebook'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_facebook]', array(
	'priority' => 410,
	'label' => __( 'Facebook Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_twitter]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_twitter'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_twitter]', array(
	'priority' => 420,
	'label' => __( 'Twitter Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_pinterest]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_pinterest'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_pinterest]', array(
	'priority' => 430,
	'label' => __( 'Pinterest Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_dribbble]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_dribbble'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_dribbble]', array(
	'priority' => 440,
	'label' => __( 'Dribbble Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_instagram]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_instagram'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_instagram]', array(
	'priority' => 450,
	'label' => __( 'Instagram Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_flickr]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_flickr'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_flickr]', array(
	'priority' => 460,
	'label' => __( 'Flickr Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_googleplus]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_googleplus'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_googleplus]', array(
	'priority' => 470,
	'label' => __( 'Google Plus Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_social_linkedin]', array(
	'default' => $whitish_lite_settings['whitish_lite_social_linkedin'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
	)
);
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_social_linkedin]', array(
	'priority' => 480,
	'label' => __( 'Linkedin Link', 'whitish-lite' ),
	'section' => 'whitish_lite_social_icons',
	'type' => 'text',
	)
);
	?>